Package Details: catalyst 15.9-20

Git Clone URL: https://aur.archlinux.org/catalyst.git (read-only)
Package Base: catalyst
Description: AMD/ATI Catalyst drivers for linux. fglrx kernel module only. Radeons HD 2 3 4 xxx ARE NOT SUPPORTED
Upstream URL: https://www.amd.com
Licenses: custom
Conflicts: catalyst-test
Submitter: wonder
Maintainer: Vi0L0
Last Packager: Vi0L0
Votes: 333
Popularity: 0.000149
First Submitted: 2009-08-09 08:02
Last Updated: 2018-04-29 16:26

Dependencies (7)

Required by (3)

Sources (23)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 11 ... Next › Last »

Vi0L0 commented on 2015-07-13 17:30

iirc chrome was always glitching on plasma DE, with one catalyst release i was able to fight it with systemsettings5, but it wasnt general solution.
As for sublime not long ago ekr was writing about sublimes terrible performance on catalyst 15.5 release.
The one and only real workaround for both chromium and sublime glitches/performance issues is to disable compositing.

dkreuter commented on 2015-07-13 17:03

I believe the chromium glitching started one release before 15.7.
With 15.7 Sublime Text becomes super slow (press Ctrl+K B to trigger sidebar hide/reveal animation to demonstrate).

Vi0L0 commented on 2015-07-09 18:57

15.7::
OpenGL is now in 4.5 version, it brings fixes for some titles like borderlands 2 which now works well, still looks like crap smile but at least its fluid. Even warsow seems snappier, but it's not mindblowing. Dota 2 is kinda laggy in some situations, plus it crashed on exit (sic!) and I wasn't able to kill its process (sadface, at least it wasnt eating resources, only ate some ram and sit)...
They fixed vaapi which latelly wasn't working with -va vaapi option.
It does support xserver 1.17, but tty - just like with ubuntu 15.4 version - is all black - another sadpanda.
And ofcourse glitching (on plasma DE) chromium - cherry on the top.


I don't think it deserves [catalyst-stable] or catalyst@AUR...

I will put it into [catalyst] for now, catalyst-test@AUR already is updated

Bumble-Bee commented on 2015-07-09 08:20

Catalyst 15.7 is out, release notes state "Xorg/Xserver 7.4 and above (up to 1.17)"

ekr commented on 2015-06-24 14:43

Anyone else having problems with terrible scrolling performance in sublime text with catalyst? Other apps don't seem to have this problem, although it's clearly a 2D acceleration issue.

I'm back to catalyst after the xorg-server crashed several times with the open source driver.

Vi0L0 commented on 2015-06-04 13:23

updated to 15.5-1 - AKA "nothing interesting":
- it doesn't support xserver 1.17
- looks older than ubuntu vivid driver which we are using ie in catalyst-test@AUR
- i've added initial support for 4.1 kernel (using kolasa's patch, tested on 4.1rc5)
- rel notes: http://support.amd.com/en-us/kb-articles/Pages/AMDCatalyst15-5LINReleaseNotes.aspx

Vi0L0 commented on 2015-05-04 19:36

14.12-3:
- 4.0 kernel support (thanks to kolasa for patch)

Vi0L0 commented on 2015-03-08 14:06

14.12-2:
- using kolasa's patch to cover 3.19 kernel support

optomus commented on 2015-01-29 23:30

I tired to install today after running pacman -Syu, which brought down linux-3.18.4-1. This threw an error "make *** /usr/lib/modules/3.18.2-2-ARCH cannot be found: Directory or file does not exist" (or something like that). I believe the kernel has been updated to 3.18.4-1-ARCH though this (PKGBUILD?) is expecting 3.18.2-2-ARCH.
To get around this problem until an update is produced run:
sudo mv /usr/lib/modules/3.18.4-1-ARCH /usr/lib/modules/3.18.2-2-ARCH
Then install with "yaourt -S catalyst" and before rebooting run:
sudo mv /usr/lib/modules/3.18.2-2-ARCH /usr/lib/modules/3.18.4-1-ARCH
Otherwise your kernel will fail to load.

Vi0L0 commented on 2014-12-09 08:00

Uuuuu finaly same new release.
Im afk and should be back tomorrows evening, then I should be able to test and update